Detalhe público de item elegível do catálogo
curl --request GET \
--url https://services.staging.app.dados.rio/catalogo/api/public/catalog/{id}import requests
url = "https://services.staging.app.dados.rio/catalogo/api/public/catalog/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://services.staging.app.dados.rio/catalogo/api/public/catalog/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "salesforce",
"source_id": "<string>",
"title": "<string>",
"type": "service",
"bairros": [
"<string>"
],
"description": "<string>",
"image_url": "<string>",
"modalidade": "<string>",
"organization": "<string>",
"short_desc": "<string>",
"source_updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"url": "<string>",
"valid_from": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z"
}{}{}{}catálogo
Detalhe público de item elegível do catálogo
Retorna somente campos públicos de um item ativo e vigente.
GET
/
api
/
public
/
catalog
/
{id}
Detalhe público de item elegível do catálogo
Path Parameters
UUID v4 do item
Response
OK
Available options:
salesforce, courses, jobs, mei, app-go-api, typesense Required string length:
1 - 255Pattern:
\SRequired string length:
1 - 500Pattern:
\SAvailable options:
service, course, job, mei_opportunity Required array length:
1 - 50 elementsRequired string length:
1 - 500Pattern:
\SRequired string length:
1 - 16000Required string length:
1 - 2048Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://[^/?#@\s]+($|[/?#]($|.*\S$))Required string length:
1 - 100Required string length:
1 - 500Required string length:
1 - 2000Required array length:
1 - 50 elementsRequired string length:
1 - 500Pattern:
\SRequired string length:
1 - 2048Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://[^/?#@\s]+($|[/?#]($|.*\S$))